For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
  • ElevenCreative
      • Studio API information
      • GETList Studio Projects
      • POSTUpdate Studio Project
      • GETGet Studio Project
      • POSTCreate Studio Project
      • DELDelete Studio Project
      • POSTConvert Studio Project
      • POSTUpdate Studio Project Content
      • GETList Studio Project Snapshots
      • GETGet Project Muted Tracks
      • STREAMStream Studio Project Audio
      • POSTStream Archive With Studio Project Audio
      • GETList Chapters
      • GETGet Chapter
      • POSTCreate Chapter
      • POSTUpdate Chapter
      • DELDelete Chapter
      • POSTConvert Chapter
      • GETList Chapter Snapshots
      • STREAMStream Chapter Audio
      • POSTCreate Pronunciation Dictionaries
      • POSTCreate Podcast
      • GETGet Chapter Snapshot
      • GETGet Project Snapshot
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenCreativeStudio

List Chapter Snapshots

GET
/v1/studio/projects/:project_id/chapters/:chapter_id/snapshots
GET
/v1/studio/projects/:project_id/chapters/:chapter_id/snapshots
$curl https://api.elevenlabs.io/v1/studio/projects/project_id/chapters/chapter_id/snapshots
1{
2 "snapshots": [
3 {
4 "chapter_snapshot_id": "aw1NgEzBg83R7vgmiJt1",
5 "project_id": "aw1NgEzBg83R7vgmiJt2",
6 "chapter_id": "aw1NgEzBg83R7vgmiJt3",
7 "created_at_unix": 1714204800,
8 "name": "My Chapter Snapshot"
9 }
10 ]
11}
Gets information about all the snapshots of a chapter. Each snapshot can be downloaded as audio. Whenever a chapter is converted a snapshot will automatically be created.
Was this page helpful?
Previous

Stream Chapter Audio

Next
Built with

Path parameters

project_idstringRequired

The ID of the project to be used. You can use the List projects endpoint to list all the available projects.

chapter_idstringRequired

The ID of the chapter to be used. You can use the List project chapters endpoint to list all the available chapters.

Headers

xi-api-keystringOptional

Response

Successful Response
snapshotslist of objects
List of chapter snapshots.

Errors

422
Unprocessable Entity Error